## eog-thumbnail

eog-thumbnail

## Synopsis

    void                eog_thumbnail_init                  (void);
    void                eog_thumbnail_fit_to_size           (GdkPixbuf **thumbnail,
                                                             gint dimension);
    void                eog_thumbnail_add_frame             (GdkPixbuf **thumbnail);
    GdkPixbuf*          eog_thumbnail_load                  (EogImage *image,
                                                             GError **error);
    #define             EOG_THUMBNAIL_ORIGINAL_WIDTH
    #define             EOG_THUMBNAIL_ORIGINAL_HEIGHT

## Description

## Details

### eog_thumbnail_init ()

    void                eog_thumbnail_init                  (void);

### eog_thumbnail_fit_to_size ()

    void                eog_thumbnail_fit_to_size           (GdkPixbuf **thumbnail,
                                                             gint dimension);

`thumbnail` : |
`dimension` : |

### eog_thumbnail_add_frame ()

    void                eog_thumbnail_add_frame             (GdkPixbuf **thumbnail);

`thumbnail` : |

### eog_thumbnail_load ()

    GdkPixbuf*          eog_thumbnail_load                  (EogImage *image,
                                                             GError **error);

`image` : |
`error` : |
Returns : |

### EOG_THUMBNAIL_ORIGINAL_WIDTH

    #define EOG_THUMBNAIL_ORIGINAL_WIDTH  "eog-thumbnail-orig-width"

### EOG_THUMBNAIL_ORIGINAL_HEIGHT

    #define EOG_THUMBNAIL_ORIGINAL_HEIGHT "eog-thumbnail-orig-height"